using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace JobsMedical.Web.Migrations
{
    /// <inheritdoc />
    public partial class PerSourceProxy : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "BaleUseProxy",
                table: "AppSettings",
                type: "boolean",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "DivarUseProxy",
                table: "AppSettings",
                type: "boolean",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "MedjobsUseProxy",
                table: "AppSettings",
                type: "boolean",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "TelegramUseProxy",
                table: "AppSettings",
                type: "boolean",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "WebsitesUseProxy",
                table: "AppSettings",
                type: "boolean",
                nullable: false,
                defaultValue: false);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "BaleUseProxy",
                table: "AppSettings");

            migrationBuilder.DropColumn(
                name: "DivarUseProxy",
                table: "AppSettings");

            migrationBuilder.DropColumn(
                name: "MedjobsUseProxy",
                table: "AppSettings");

            migrationBuilder.DropColumn(
                name: "TelegramUseProxy",
                table: "AppSettings");

            migrationBuilder.DropColumn(
                name: "WebsitesUseProxy",
                table: "AppSettings");
        }
    }
}
